"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mainCommand = void 0;
const commander_1 = require("commander");
const package_json_1 = __importDefault(require("../package.json"));
function mainCommand(indexAction) {
    const command = new commander_1.Command();
    command
        .name('scip-typescript')
        .version(package_json_1.default.version)
        .description('LSIF indexer for TypeScript and JavaScript\nFor usage examples, see https://github.com/sourcegraph/scip-typescript/blob/main/README.md');
    command
        .command('index')
        .option('--cwd <path>', 'the working directory', process.cwd())
        .option('--yarn-workspaces', 'whether to index all yarn workspaces', false)
        .option('--infer-tsconfig', "whether to infer the tsconfig.json file, if it's missing", false)
        .option('--output <path>', 'path to the output file', 'index.scip')
        .option('--no-progress-bar', 'whether to disable the progress bar')
        .argument('[projects...]')
        .action((parsedProjects, parsedOptions) => {
        indexAction(parsedProjects, parsedOptions);
    });
    return command;
}
exports.mainCommand = mainCommand;
